import request from '@/utils/request'
// ---------------三方api接口授权管理
// 添加-编辑
export function authAdd(data) {
  return request({
    url: '/api/v1/open/auth/add',
    method: 'post',
    data
  })
}
// 删除
export function authdel(id) {
  return request({
    url: `/api/v1/open/auth/del/${id}`,
    method: 'get',
  })
}
// 停用
export function authDisable(id) {
  return request({
    url: `/api/v1/open/auth/disable/${id}`,
    method: 'get',
  })
}
// 开启
export function authEnable(id) {
  return request({
    url: `/api/v1/open/auth/enable/${id}`,
    method: 'get',
  })
}
// 查询接口类型列表
export function typeList(data) {
  return request({
    url: '/api/v1/open/auth/interface/type/list',
    method: 'post',
    data
  })
}
// 查询列表（分页）
export function authPage(data) {
  return request({
    url: '/api/v1/open/auth/page',
    method: 'post',
    data
  })
}


// -----------------三方api设备授权管理
// 添加-编辑
export function deviceAdd(data) {
  return request({
    url: '/api/v1/open/auth/device/add',
    method: 'post',
    data
  })
}
//批量添加
export function batchAdd(data) {
  return request({
    url: '/api/v1/open/auth/device/batch/add',
    method: 'post',
    data
  })
}
// 删除
export function deviceDel(id) {
  return request({
    url: `/api/v1/open/auth/device/del/${id}`,
    method: 'get',
  })
}
// 取消授权
export function deviceDisable(id) {
  return request({
    url: `/api/v1/open/auth/device/disable/${id}`,
    method: 'get',
  })
}
// 授权
export function deviceEnable(id) {
  return request({
    url: `api/v1/open/auth/device/enable/${id}`,
    method: 'get',
  })
}
//查询列表（分页）
export function devicePage(data) {
  return request({
    url: '/api/v1/open/auth/device/page',
    method: 'post',
    data
  })
}
